Package org.springframework.http.server.reactive

# Interface ServerHttpResponse

All Superinterfaces:
  `HttpMessage`, `ReactiveHttpOutputMessage`

All Known Implementing Classes:
  `AbstractListenerServerHttpResponse`, `AbstractServerHttpResponse`, `HttpHeadResponseDecorator`, `ServerHttpResponseDecorator`

public interface ServerHttpResponse extends ReactiveHttpOutputMessage
Represents a reactive server-side HTTP response.

Since:
  5.0
Author:
  Arjen Poutsma, Sebastien Deleuze, Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`void`
`addCookie(ResponseCookie cookie)`
Add the given `ResponseCookie`.
`org.springframework.util.MultiValueMap<String,ResponseCookie>`
`getCookies()`
Return a mutable map with the cookies to send to the server.
`default Integer`
`getRawStatusCode()`
Deprecated, for removal: This API element is subject to removal in a future version.
in favor of `getStatusCode()`, for removal in 7.0
`HttpStatusCode`
`getStatusCode()`
Return the status code that has been set, or otherwise fall back on the status of the response from the underlying server.
`default boolean`
`setRawStatusCode(Integer value)`
Set the HTTP status code to the given value as an integer.
`boolean`
`setStatusCode(HttpStatusCode status)`
Set the HTTP status code of the response.

### Methods inherited from interface org.springframework.http.HttpMessage

`getHeaders`

### Methods inherited from interface org.springframework.http.ReactiveHttpOutputMessage

`beforeCommit, bufferFactory, isCommitted, setComplete, writeAndFlushWith, writeWith`

## Method Details

### setStatusCode

boolean setStatusCode(@Nullable HttpStatusCode status)
Set the HTTP status code of the response.

Parameters:
  `status` - the HTTP status as an `HttpStatusCode` value
Returns:
  `false` if the status code change wasn't processed because the HTTP response is committed, `true` if successfully set.

### getStatusCode

@Nullable HttpStatusCode getStatusCode()
Return the status code that has been set, or otherwise fall back on the status of the response from the underlying server. The return value may be `null` if there is no default value from the underlying server.

### setRawStatusCode

default boolean setRawStatusCode(@Nullable Integer value)
Set the HTTP status code to the given value as an integer.

Parameters:
  `value` - the status code value
Returns:
  `false` if the status code change wasn't processed because the HTTP response is committed, `true` if successfully set.
Since:
  5.2.4

### getRawStatusCode

@Deprecated(since="6.0", forRemoval=true) @Nullable default Integer getRawStatusCode()
Deprecated, for removal: This API element is subject to removal in a future version.
in favor of `getStatusCode()`, for removal in 7.0
Return the status code that has been set, or otherwise fall back on the status of the response from the underlying server. The return value may be `null` if there is no default value from the underlying server.

Since:
  5.2.4

### getCookies

org.springframework.util.MultiValueMap<String,ResponseCookie> getCookies()
Return a mutable map with the cookies to send to the server.

### addCookie

void addCookie(ResponseCookie cookie)
Add the given `ResponseCookie`.

Parameters:
  `cookie` - the cookie to add
Throws:
  `IllegalStateException` - if the response has already been committed